LIBKECCAK_STATE_RESET(3)

NAME
libkeccak_state_reset - Reinitialise hash state

SYNOPSIS
#include <libkeccak.h>
void libkeccak_state_reset(struct libkeccak_state *state);

Link with -lkeccak.

DESCRIPTION
The libkeccak_state_reset() function reinitialises *state, but keeps the tuning, so it can be used to hash another message.

RETURN VALUES
The libkeccak_state_reset() function does not return any value.

ERRORS
The libkeccak_state_reset() function cannot fail.

SEE ALSO
libkeccak_state_initialise(3), libkeccak_state_destroy(3), libkeccak_state_fast_destroy(3), libkeccak_state_wipe(3)